# DataExchange
TKIGES
IGESDraw

# IGESDraw_Array1OfViewKindEntity Class Reference

`#include <IGESDraw_Array1OfViewKindEntity.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESDraw_Array1OfViewKindEntity (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESDraw_Array1OfViewKindEntity (const Handle(IGESData_ViewKindEntity)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(IGESData_ViewKindEntity)&V)
Standard_EXPORT void | Destroy ()
| ~IGESDraw_Array1OfViewKindEntity ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const IGESDraw_Array1OfViewKindEntity & | Assign (const IGESDraw_Array1OfViewKindEntity &Other)
const IGESDraw_Array1OfViewKindEntity & | operator= (const IGESDraw_Array1OfViewKindEntity &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESData_ViewKindEntity)&Value)
const Handle_IGESData_ViewKindEntity & | Value (const Standard_Integer Index) const
const Handle_IGESData_ViewKindEntity & | operator() (const Standard_Integer Index) const
Handle_IGESData_ViewKindEntity & | ChangeValue (const Standard_Integer Index)
Handle_IGESData_ViewKindEntity & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | IGESDraw_Array1OfViewKindEntity (const IGESDraw_Array1OfViewKindEntity &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT IGESDraw_Array1OfViewKindEntity::IGESDraw_Array1OfViewKindEntity | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESDraw_Array1OfViewKindEntity::IGESDraw_Array1OfViewKindEntity | ( | const Handle(IGESData_ViewKindEntity)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

IGESDraw_Array1OfViewKindEntity::~IGESDraw_Array1OfViewKindEntity | ( |  | ) | `[inline]`

Standard_EXPORT IGESDraw_Array1OfViewKindEntity::IGESDraw_Array1OfViewKindEntity | ( | const IGESDraw_Array1OfViewKindEntity & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const IGESDraw_Array1OfViewKindEntity& IGESDraw_Array1OfViewKindEntity::Assign | ( | const IGESDraw_Array1OfViewKindEntity & | Other | ) |

Handle_IGESData_ViewKindEntity& IGESDraw_Array1OfViewKindEntity::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void IGESDraw_Array1OfViewKindEntity::Destroy | ( |  | ) |

Standard_EXPORT void IGESDraw_Array1OfViewKindEntity::Init | ( | const Handle(IGESData_ViewKindEntity)& | V | ) |

Standard_Boolean IGESDraw_Array1OfViewKindEntity::IsAllocated | ( |  | ) | const

Standard_Integer IGESDraw_Array1OfViewKindEntity::Length | ( |  | ) | const

Standard_Integer IGESDraw_Array1OfViewKindEntity::Lower | ( |  | ) | const

void IGESDraw_Array1OfViewKindEntity::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESDraw_Array1OfViewKindEntity::operator new | ( | size_t | size | ) | `[inline]`

void* IGESDraw_Array1OfViewKindEntity::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_IGESData_ViewKindEntity& IGESDraw_Array1OfViewKindEntity::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_IGESData_ViewKindEntity& IGESDraw_Array1OfViewKindEntity::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const IGESDraw_Array1OfViewKindEntity& IGESDraw_Array1OfViewKindEntity::operator= | ( | const IGESDraw_Array1OfViewKindEntity & | Other | ) | `[inline]`

void IGESDraw_Array1OfViewKindEntity::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESData_ViewKindEntity)& | Value
| ) |

Standard_Integer IGESDraw_Array1OfViewKindEntity::Upper | ( |  | ) | const

const Handle_IGESData_ViewKindEntity& IGESDraw_Array1OfViewKindEntity::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean IGESDraw_Array1OfViewKindEntity::isAllocated `[private]`

Standard_Integer IGESDraw_Array1OfViewKindEntity::myLowerBound `[private]`

Standard_Address IGESDraw_Array1OfViewKindEntity::myStart `[private]`

Standard_Integer IGESDraw_Array1OfViewKindEntity::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- IGESDraw_Array1OfViewKindEntity.hxx